Package com.sun.mail.imap.protocol

## Class MessageSet

- java.lang.Object
- - com.sun.mail.imap.protocol.MessageSet

    public class MessageSet
    extends java.lang.Object

This class holds the 'start' and 'end' for a range of messages.

### Field Summary

Fields
`int` `end`
`int` `start`

### Constructor Summary

Constructors
`MessageSet()`
`MessageSet​(int start, int end)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MessageSet[]` `createMessageSets​(int[] msgs)` Convert an array of integers into an array of MessageSets
`int` `size()` Count the total number of elements in a MessageSet
`static int` `size​(MessageSet[] msgsets)`
`static java.lang.String` `toString​(MessageSet[] msgsets)` Convert an array of MessageSets into an IMAP sequence range

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### start

    public int start

#### end

    public int end

### Constructor Detail

#### MessageSet

    public MessageSet()

#### MessageSet

    public MessageSet​(int start,
                      int end)

### Method Detail

#### size

    public int size()

Count the total number of elements in a MessageSet

Returns:
  how many messages in this MessageSet

#### createMessageSets

    public static MessageSet[] createMessageSets​(int[] msgs)

Convert an array of integers into an array of MessageSets

Parameters:
  `msgs` - the messages
Returns:
  array of MessageSet objects

#### toString

    public static java.lang.String toString​(MessageSet[] msgsets)

Convert an array of MessageSets into an IMAP sequence range

Parameters:
  `msgsets` - the MessageSets
Returns:
  IMAP sequence string

#### size

    public static int size​(MessageSet[] msgsets)